| Home | Libraries | People | FAQ | More

###### segments_ref::operator= (1 of 3 overloads)

Assignment.

###### Synopsis

    segments_ref&
    operator=(
        segments_ref const& other);

###### Description

The existing contents are replaced by a copy of the other segments.

All iterators are invalidated.

###### Remarks

None of the character buffers referenced by `other` may overlap the buffer of the underlying url, or else the behavior is undefined.

###### Effects

    this->assign( other.begin(), other.end() );

###### Complexity

Linear in `other.buffer().size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Parameters

Name | Description
--- | ---
`other` | The segments to assign.